'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hasAttribute = require('./hasAttribute');

var _hasAttribute2 = _interopRequireDefault(_hasAttribute);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns boolean indicating that the aria-hidden prop
 * is present or the value is true.
 *
 * <div aria-hidden /> is equivalent to the DOM as <div aria-hidden=true />.
 */
var isHiddenFromScreenReader = function isHiddenFromScreenReader(attributes) {
  var hasAriaHidden = (0, _hasAttribute2.default)(attributes, 'aria-hidden');
  return hasAriaHidden && (hasAriaHidden === true || hasAriaHidden === null);
};

exports.default = isHiddenFromScreenReader;